Merge branch 'jc/fix-tap-output-under-bash'

A recent attempt to make the test output nicer to view on CI
systems broke TAP output under bash.  The effort has been reverted
to be re-attempted in the next cycle.

* jc/fix-tap-output-under-bash:
  Revert "tests: when run in Bash, annotate test failures with file name/line number"
  Revert "ci: add a problem matcher for GitHub Actions"
  Revert "t/test_lib: avoid naked bash arrays in file_lineno"
This commit is contained in:
Junio C Hamano 2020-05-20 08:33:29 -07:00
commit 972ce8561d
3 changed files with 1 additions and 36 deletions

View File

@ -1,16 +0,0 @@
{
"problemMatcher": [
{
"owner": "git-test-suite",
"pattern": [
{
"regexp": "^([^ :]+\\.sh):(\\d+): (error|warning|info):\\s+(.*)$",
"file": 1,
"line": 2,
"severity": 3,
"message": 4
}
]
}
]
}

View File

@ -157,11 +157,6 @@ then
MAKEFLAGS="$MAKEFLAGS --jobs=10"
test windows != "$CI_OS_NAME" ||
GIT_TEST_OPTS="--no-chain-lint --no-bin-wrappers $GIT_TEST_OPTS"
# https://github.com/actions/toolkit/blob/master/docs/commands.md#problem-matchers
echo "::add-matcher::ci/git-problem-matcher.json"
test linux-musl = "$jobname" ||
MAKEFLAGS="$MAKEFLAGS TEST_SHELL_PATH=/bin/sh"
else
echo "Could not identify CI type" >&2
env >&2

View File

@ -675,20 +675,6 @@ die () {
fi
}
file_lineno () {
test -z "$GIT_TEST_FRAMEWORK_SELFTEST" && test -n "$BASH" || return 0
eval '
local i
for i in ${!BASH_SOURCE[*]}
do
case $i,"${BASH_SOURCE[$i]##*/}" in
0,t[0-9]*.sh) echo "t/${BASH_SOURCE[$i]}:$LINENO: ${1+$1: }"; return;;
*,t[0-9]*.sh) echo "t/${BASH_SOURCE[$i]}:${BASH_LINENO[$(($i-1))]}: ${1+$1: }"; return;;
esac
done
'
}
GIT_EXIT_OK=
trap 'die' EXIT
# Disable '-x' tracing, because with some shells, notably dash, it
@ -734,7 +720,7 @@ test_failure_ () {
write_junit_xml_testcase "$1" " $junit_insert"
fi
test_failure=$(($test_failure + 1))
say_color error "$(file_lineno error)not ok $test_count - $1"
say_color error "not ok $test_count - $1"
shift
printf '%s\n' "$*" | sed -e 's/^/# /'
test "$immediate" = "" || { finalize_junit_xml; GIT_EXIT_OK=t; exit 1; }